------------
-- DRUID --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "DRUID") then
    return;
end


Watcher.classDefaults["DRUID"] = {
    ["newDefaultDate"] = 1415628788;
    ["priorityLists"] = {
        [1] = {
            ["name"] = "Feral";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 31;
                    ["spellId"] = 22568;
                };
                [1] = {
                    ["filterSetId"] = 33;
                    ["spellId"] = 5217;
                };
                [2] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 52610;
                };
                [4] = {
                    ["filterSetId"] = 35;
                    ["spellId"] = 22568;
                };
                [8] = {
                    ["filterSetId"] = 34;
                    ["spellId"] = 106832;
                };
                [9] = {
                    ["filterSetId"] = 36;
                    ["spellId"] = 5221;
                };
                [5] = {
                    ["spellId"] = 22568;
                    ["filterSetId"] = 59;
                };
                [3] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 1822;
                };
                [6] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 1079;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [2] = {
            ["name"] = "Balance";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [7] = {
                    ["spellId"] = 2912;
                    ["filterSetId"] = 49;
                };
                [1] = {
                    ["spellId"] = 78674;
                    ["filterSetId"] = 47;
                };
                [2] = {
                    ["spellId"] = 33831;
                    ["filterSetId"] = 58;
                };
                [4] = {
                    ["spellId"] = 8921;
                    ["filterSetId"] = 46;
                };
                [8] = {
                    ["spellId"] = 5176;
                    ["filterSetId"] = 48;
                };
                [9] = {
                    ["spellId"] = 78674;
                    ["filterSetId"] = 50;
                };
                [5] = {
                    ["spellId"] = 8921;
                    ["filterSetId"] = 42;
                };
                [10] = {
                    ["spellId"] = 78674;
                    ["filterSetId"] = 51;
                };
                [3] = {
                    ["spellId"] = 8921;
                    ["filterSetId"] = 45;
                };
                [6] = {
                    ["spellId"] = 8921;
                    ["filterSetId"] = 43;
                };
                [12] = {
                    ["spellId"] = 5176;
                    ["filterSetId"] = 53;
                };
                [11] = {
                    ["spellId"] = 2912;
                    ["filterSetId"] = 52;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [4] = {
            ["name"] = "Restoration";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 4;
                };
            };
        };
        [3] = {
            ["name"] = "Guardian";
            ["cooldowns"] = {};
            ["settings"] = {};
            ["spellConditions"] = {
                [6] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 33745;
                };
                [2] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 106832;
                };
                [3] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 5185;
                };
                [1] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 33917;
                };
                [4] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 102351;
                };
                [5] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 124974;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
    };
    ["version"] = 2;
    ["spells"] = {
        [740] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
            };
        };
        [61336] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
            };
        };
        [147349] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
                [11] = true;
            };
        };
        [1079] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [26] = true;
                [30] = true;
            };
        };
        [5176] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [48] = true;
                [53] = true;
                [39] = true;
            };
        };
        [22812] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
            };
        };
        [124974] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [19] = true;
            };
        };
        [1850] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [21] = true;
            };
        };
        [108294] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [22] = true;
            };
        };
        [2912] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [40] = true;
                [52] = true;
                [41] = true;
                [49] = true;
            };
        };
        [102693] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Restoration";
            };
            ["filterSetIds"] = {
                [55] = true;
            };
        };
        [33745] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [5185] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
                [8] = true;
            };
        };
        [78674] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [38] = true;
                [51] = true;
                [50] = true;
                [47] = true;
            };
        };
        [20484] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [12] = true;
            };
        };
        [102703] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Feral";
            };
            ["filterSetIds"] = {
                [56] = true;
            };
        };
        [102351] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [9] = true;
            };
        };
        [33917] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [106832] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
                [4] = true;
                [34] = true;
            };
        };
        [52610] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [25] = true;
                [29] = true;
            };
        };
        [106898] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [18] = true;
            };
        };
        [5217] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [32] = true;
                [33] = true;
            };
        };
        [5221] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
                [36] = true;
            };
        };
        [88423] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
            };
        };
        [33831] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Balance";
            };
            ["filterSetIds"] = {
                [54] = true;
                [58] = true;
            };
        };
        [132158] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
            };
        };
        [8921] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [43] = true;
                [44] = true;
                [45] = true;
                [46] = true;
                [42] = true;
                [37] = true;
            };
        };
        [22568] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [27] = true;
                [31] = true;
                [35] = true;
                [59] = true;
            };
        };
        [18562] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [17] = true;
                [20] = true;
            };
        };
        [1822] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [23] = true;
                [28] = true;
            };
        };
        [48438] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [15] = true;
            };
        };
        [102706] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "Guardian";
            };
            ["filterSetIds"] = {
                [57] = true;
            };
        };
    };
    ["filterSets"] = {
        [27] = {
            ["name"] = "Usable";
            ["spellId"] = 22568;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["spellId"] = 33745;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [38] = {
            ["spellId"] = 78674;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [3] = {
            ["name"] = "Usable";
            ["spellId"] = 106832;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [54] = {
            ["spellId"] = 33831;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["name"] = "Debuff(Thrash)";
            ["spellId"] = 106832;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Thrash";
                    ["filterType"] = "auras";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["ifExists"] = false;
                    ["unit"] = "target";
                    ["remainingTime"] = 4;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [5] = {
            ["spellId"] = 22812;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["spellId"] = 61336;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["spellId"] = 5185;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["spellId"] = 5185;
            ["name"] = "DoC HT";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Dream of Cenarius";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [10] = {
            ["name"] = "Usable";
            ["spellId"] = 147349;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [12] = {
            ["name"] = "Usable";
            ["spellId"] = 20484;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [14] = {
            ["name"] = "Usable";
            ["spellId"] = 132158;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [16] = {
            ["name"] = "Usable";
            ["spellId"] = 740;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [20] = {
            ["name"] = "Off Cooldown";
            ["spellId"] = 18562;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = true;
                };
            };
        };
        [24] = {
            ["name"] = "Usable";
            ["spellId"] = 5221;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [28] = {
            ["name"] = "Keep DoT Up";
            ["spellId"] = 1822;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rake";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 3;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [4] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Most";
                    ["value"] = 4;
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [32] = {
            ["name"] = "Usable";
            ["spellId"] = 5217;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [40] = {
            ["spellId"] = 2912;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [48] = {
            ["spellId"] = 5176;
            ["name"] = "If Empowered";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Solar Empowerment";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [56] = {
            ["spellId"] = 102703;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [33] = {
            ["name"] = "Low Energy";
            ["spellId"] = 5217;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 25;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [41] = {
            ["spellId"] = 2912;
            ["name"] = "Keep DoT Up";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [49] = {
            ["spellId"] = 2912;
            ["name"] = "If Empowered";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Lunar Empowerment";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Most";
                    ["value"] = 0;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [57] = {
            ["spellId"] = 102706;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [17] = {
            ["name"] = "Usable";
            ["spellId"] = 18562;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [21] = {
            ["name"] = "Usable";
            ["spellId"] = 1850;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [25] = {
            ["name"] = "Usable";
            ["spellId"] = 52610;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [29] = {
            ["name"] = "Keep Buff Up";
            ["spellId"] = 52610;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 5;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [34] = {
            ["name"] = "Omen of Clarity";
            ["spellId"] = 106832;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Clearcasting";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["talentNum"] = 21702;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [42] = {
            ["spellId"] = 8921;
            ["name"] = "Moonfire";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Moonfire";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 7;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Most";
                    ["value"] = 0;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [50] = {
            ["name"] = "Lunar";
            ["spellId"] = 78674;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["optionalBehavior"] = "moon";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Most";
                    ["value"] = 0;
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["numCharges"] = 2;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
                [5] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Lunar Empowerment";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [58] = {
            ["spellId"] = 33831;
            ["name"] = "Don't Cap Charges";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["numCharges"] = 3;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [31] = {
            ["name"] = "Roar and Rip";
            ["spellId"] = 22568;
            ["settings"] = {};
            ["filters"] = {
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [4] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["value"] = 5;
                    ["filterType"] = "secondaryResource";
                };
                [5] = {
                    ["threshold"] = 50;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [9] = {
            ["name"] = "Usable";
            ["spellId"] = 102351;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [15] = {
            ["name"] = "Usable";
            ["spellId"] = 48438;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [35] = {
            ["name"] = "Execute";
            ["spellId"] = 22568;
            ["settings"] = {};
            ["filters"] = {
                [2] = {
                    ["threshold"] = 25;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [4] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [5] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["value"] = 5;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [11] = {
            ["name"] = "Shroom Exists";
            ["spellId"] = 147349;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["name"] = "";
                    ["slot"] = 1;
                    ["refreshThreshold"] = 5;
                    ["exists"] = false;
                    ["filterType"] = "totem";
                };
            };
        };
        [13] = {
            ["name"] = "Usable";
            ["spellId"] = 88423;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [59] = {
            ["settings"] = {};
            ["spellId"] = 22568;
            ["name"] = "Execute - Refresh Rip";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 25;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
                [4] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 7;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [5] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Savage Roar";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [18] = {
            ["name"] = "Usable";
            ["spellId"] = 106898;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [22] = {
            ["spellId"] = 108294;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [26] = {
            ["name"] = "Usable";
            ["spellId"] = 1079;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [30] = {
            ["name"] = "Keep DoT Up";
            ["spellId"] = 1079;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rip";
                    ["ifExists"] = false;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "target";
                    ["remainingTime"] = 7;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Least";
                    ["value"] = 5;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [36] = {
            ["name"] = "Don't Cap CP";
            ["spellId"] = 5221;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = -1;
                    ["relationship"] = "At Most";
                    ["value"] = 5;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [44] = {
            ["spellId"] = 8921;
            ["name"] = "Refresh Near End of Solar";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [4] = {
                    ["optionalBehavior"] = "moon";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Most";
                    ["value"] = 30;
                    ["filterType"] = "secondaryResource";
                };
                [3] = {
                    ["optionalBehavior"] = "moon";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [52] = {
            ["name"] = "Lunar";
            ["spellId"] = 2912;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Most";
                    ["value"] = 0;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [51] = {
            ["name"] = "Solar";
            ["spellId"] = 78674;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["optionalBehavior"] = "sun";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
                [4] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Solar Empowerment";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["numCharges"] = 2;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [47] = {
            ["spellId"] = 78674;
            ["name"] = "Don't Overcap";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["numCharges"] = 3;
                    ["relationship"] = "Equals";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [46] = {
            ["name"] = "Solar Peak";
            ["spellId"] = 8921;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Solar Peak";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [39] = {
            ["spellId"] = 5176;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [43] = {
            ["name"] = "Sunfire";
            ["spellId"] = 8921;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sunfire";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [37] = {
            ["spellId"] = 8921;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [45] = {
            ["name"] = "Lunar Peak";
            ["spellId"] = 8921;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Lunar Peak";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [53] = {
            ["name"] = "Solar";
            ["spellId"] = 5176;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 8;
                    ["relationship"] = "At Least";
                    ["value"] = 1;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [1] = {
            ["name"] = "Usable";
            ["spellId"] = 33917;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [19] = {
            ["name"] = "Usable";
            ["spellId"] = 124974;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [23] = {
            ["name"] = "Usable";
            ["spellId"] = 1822;
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [55] = {
            ["spellId"] = 102693;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
    };
};
